import { jsxs as a, jsx as e } from "react/jsx-runtime";
import { cn as i } from "../../../lib/utils.js";
function m({ icon: t, name: r, className: n, ...s }) {
  return /* @__PURE__ */ a(
    "div",
    {
      className: i("flex h-10 items-center gap-2", n),
      "data-slot": "brand-chip",
      ...s,
      children: [
        t,
        r && /* @__PURE__ */ e("span", { className: "font-normal text-sm", children: r })
      ]
    }
  );
}
export {
  m as BrandChip
};
